"use client";
import { timeInterval as o } from "./interval.js";
import { durationSecond as n } from "./duration.js";
const t = o((e) => {
  e.setTime(e - e.getMilliseconds());
}, (e, r) => {
  e.setTime(+e + r * n);
}, (e, r) => (r - e) / n, (e) => e.getUTCSeconds());
t.range;
export {
  t as second
};
